Subject: Re: cygrunsrv xinetd problem
From: "Marcin Lewandowski" <[email-masked]>
To: "Marcin Lewandowski" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 31 Aug 2004 00:43:05 +0200

> > > Then, I tried running:
> > > $ cygrunsrv -S xinetd
> > > but, the same story, error 1062. So, as you suggested, i made:
> > > $ chmod a+rx *
> > > in directories /bin and /usr/sbin. That didn't help, but now when I
look
> at
> > > /var/log/xinetd.log, I don't see nothing, but a couple of lines:
> > >   xinetd: msg_init failed: can't open log file
> >
> > Yes, the log file problem wouldn't show up in the SYSTEM-owned shell,
> > unless you also tried to redirect std{out,err} to /var/log/xinetd.log
> > (i.e., run "/usr/sbin/xinetd >>/var/log/xinetd.log 2>&1", which is
> > essentially what cygrunsrv does).
>
> I tried doing this, and xinetd runs with no problems.

The thing is, I suppose, that it's not the fault of cygrunsrv's logging.
It's
a problem with xinetd internal logging, according to sources made by
some kind of utility 'xlog' (I haven't heard about it). Precisely, I think,
that the error is raised by function 'msg_init' in file 'msg.c', somewhere
here (i use code cutting):

type_of_xlog = XLOG_FILELOG ;
xh = xlog_create( type_of_xlog, program_name,
             XLOG_PRINT_ID + XLOG_PRINT_PID,
             filelog_option_arg, LOG_OPEN_FLAGS, LOG_FILE_MODE ) ;
if ( xh == NULL )
  if ( type_of_xlog == XLOG_FILELOG )
    return( "can't open log file" ) ;

As, i don't have 'xlog' sources, I don't know what is the exact path of
the trouble-making log file. However, I suspect that it might be a problem
of doubling the logfile: cygrunsrv opens /var/log/xinetd.log to write his
messages, and next xinetd tries to open the same file for his logging.

How do you think, is it possible, and if so, what should I do to overcome
the problem?

Marcin Lewandowski
http://www.ii.uj.edu.pl/~lewandow

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/